<?php
//******************************************************************************************
//* This php script is based on a combination of many different contributors and
//* open source projects.  Thanks for sharing.
//*
//*		SmoothGallery		( http://smoothgallery.jondesign.net/whats-new/ )
//* 	MooTools 1.2		( http://mootools.net )
//* 	Tigra Calendar		( http://www.softcomplex.com/products/tigra_calendar/ )
//* *****************************************************************************************
//*
//* INSTALLATION:
//*
//*  1> Make sure PHP is installed and working with AbelCam.  [http://YourHost/php/index.php] is working correctly?
//*		a: For Thumbnail generation to work properly, you must have a version of PHP that supports the GD graphic library extension.
//* 
//*  2> Unzip the file into its *own* directory anywhere off the AbelCam WWWROOT directory.  (ie.  /wwwroot/gallery )
//*
//*  3> Make sure your Camera's "Local Save" directory is setup and available under the WWWROOT directory.  (ie.  /wwwroot/cameras/cam0 )
//*
//*  4> Create a directory named thumbnail off the Camera's "Local Save" directory. (IMPORTANT:  directory MUST have the name: thumbnail
//*     a. Make sure the thumbnail directory is modify/write accessible for the webserver.  (ie.  /wwwroot/cameras/cam0/thumbnail )
//*
//*  5> Point your browser to the index.php script off the WWWROOT directory. (ie.  http://yourhost/gallery/index.php )
//*
//*  ALL of the included scripts are open-source software and can be modified to include other options or features.  
//*  Visit the corresponding websites above for more information on how to modify or get support on their software.
//*
//*  NOTE:  Browsers tested: IE 8, Chrome 5.0 and Firefox 3.6 seem to be working fine
//***********************************************************************************************
//***********************************************************************************************
//* Wish List: (Need help implementing)
//*	File manager. Browse, Move, Delete, View, MetaTag? .
//* File Indexing.  Correlate pictures into folders by day.  Should speed up thumbnail generation and daily viewing routines.
//* File Archiving.  ZIP/Compress images.  Delete Images after xSize or xDays.  Upload to online FTP storage.
//* Image to WMV linking.  Ability to click on timestamp image to view WMV video sharing the same time period.
//*
//*
//*


include "resize.php"; //thumbnail generator
Global $pictureDate, $debug, $camName, $thumbH, $thumbW, $motionBegin, $motionEnd, $pictureDay, $ONEam, $TWOam, $THRam, $FOUam, $FIVam, $SIXam, $SEVam, $EIGam, $NINam, $TENam, $ELEam, $TWEam, $ONEpm, $TWOpm, $THRpm, $FOUpm, $FIVpm, $SIXpm, $SEVpm, $EIGpm, $NINpm, $TENpm, $ELEpm, $TWEpm;


//Parse GET variables
if (isset($_ENV['QUERY_STRING'])) {
	$bar = explode("&",$_ENV['QUERY_STRING']);
	while( list ($key, $val) = each($bar)) {
		$foo = explode("=",$val);
		if (isset($foo[1])) {
			$_GET[$foo[0]] = urldecode($foo[1]);
		}
	}
}







if (isset($_ENV['CAMNAME'])) 
    { $camName = $_ENV['CAMNAME'];
	  $thumbH = (($_ENV['OUTPUTHEIGHT'] / 4) -10);
	  $thumbW = (($_ENV['OUTPUTWIDTH'] / 4) -10);
	  if ($debug) echo "W:$thumbW H:$thumbH <br>";
	 }
Else
	{ $camName = "No Camera Detected"; }






//Initialize our ENV and GET variables
if (isset($_GET['dateSelect'])) 
   {  $pictureDate = date ("m/d/Y", strtotime ($_GET['dateSelect']));  $pictureDay = date('l F jS Y', strtotime ($_GET['dateSelect']));    

   // $_ENV['CAMNR'] = $_GET['camera'];
	}
Else 
   {    

      $pictureDate=date ("m/d/Y", strtotime (date ('Y-m-d'))); $pictureDay = date('l F jS Y', strtotime (date('Y-m-d')));
     // $_ENV['CAMNR'] = $_GET['CAM'];
   
    }



function showcam() {
	Global $thumbW, $thumbH;
	if ($_ENV['CAMNR'] >= '0' ) {
	?>			<table class="debug">
					<tr><td>Name</td><td><?php echo  $_ENV['CAMNAME'].' : '.$_GET['camera'] ?></td></tr>
					<tr><td>Resolution</td><td><?php echo  $_ENV['CAMRESOLUTION']  ?></td></tr>
					<tr><td>Output Height</td><td><?php echo  $_ENV['OUTPUTHEIGHT']  ?></td></tr>
					<tr><td>Output Width</td><td><?php echo  $_ENV['OUTPUTWIDTH']  ?></td></tr>
					<tr><td>Thumbnails</td><td><?php echo $thumbW.'x'.$thumbH;  ?></td></tr>
					<tr><td>Frames per second</td><td><?php echo  $_ENV['CAMFPS'] ?></td></tr>
					<tr><td>Local Save in </td><td><?php echo  $_ENV['CAMFOLDER'] ?></td></tr>
				</table>
	<?php
	} else {
		echo 'No camera selected';
	}
} //end function


function showsystem() {
	Global $thumbW, $thumbH;
	
	?>
				<table class="debug">
					<tr><td>Version</td><td><?php echo  $_ENV['SERVER_SOFTWARE'] ?></td></tr>
					<tr><td>PHP</td><td><?php echo phpversion(); echo '  <a href="phpinfo.php" target="_blank">phpinfo</a>'; ?></td></tr>
					<tr><td>GD</td><td><?php if (!extension_loaded('gd')) { echo "Disabled";} Else {echo "Enabled";} ?></td></tr>
					<tr><td>Referer</td><td><?php echo  $_ENV['HTTP_REFERER']  ?></td></tr>
					<tr><td>DocRoot</td><td><?php echo  $_ENV['DOC_ROOT']  ?></td></tr>
					<tr><td>Path</td><td><?php echo  $_ENV['PATH_INFO']  ?></td></tr>
					<tr><td>Local Save in </td><td><?php echo  $_ENV['CAMFOLDER'] ?></td></tr>
					<tr><td>Session</td><td><?php echo $_GET['dateSelect'] ?></td></tr>




				</table>
	<?php

} //end function



function buildGallery($startDate)
{
Global $debug, $picturesAvail, $camName, $thumbH, $thumbW, $motionBegin, $motionEnd, $ONEam, $TWOam, $THRam, $FOUam, $FIVam, $SIXam, $SEVam, $EIGam, $NINam, $TENam, $ELEam, $TWEam, $ONEpm, $TWOpm, $THRpm, $FOUpm, $FIVpm, $SIXpm, $SEVpm, $EIGpm, $NINpm, $TENpm, $ELEpm, $TWEpm;
//date_default_timezone_set("America/Denver");

$start = strtotime($startDate);
$dirname = $_ENV['CAMFOLDER'];
$docroot = $_ENV['DOC_ROOT'];
$pattern="\.(jpg|jpeg|png|gif|bmp)$";
$files = array();
$curimage=0;

//figure out the relative path from the web servers DOC_ROOT and CAM_FOLDER
$matchlen = strspn($dirname,$docroot);
$relroot = substr($dirname,$matchlen-1);
//flip our ff-slash to a back-slash
$relroot = str_replace('\\','/',$relroot);

 $picturesAvail = False;
 
 if($handle = opendir($dirname)) {
       while(false !== ($file = readdir($handle))){

		if(eregi($pattern, $file)){

		$filedate = substr($file, 0, strpos($file,'.'));   
		//echo "file: $filedate <br>";

	    if ( date("M d, Y", strtotime($filedate)) == date("M d, Y", $start) ) {
		 
		 //$filedate=date ("M d, Y  g:i A", filemtime($dirname.'/'.$file)); 
		 //may need to reimplement based on file attributes instead of name.

		 $picturesAvail = True;
		 $day = date('l F jS Y', strtotime($filedate));
		 $time = date('g:i A' , strtotime($filedate));
		 $hourTic = date('gA' , strtotime($filedate));


//resize images for thumbnails in the carousel ONLY if GD is available
if (extension_loaded('gd')) {  
 ImageResize($dirname.'/'.$file,$thumbW,$thumbH,$dirname.'\thumbnail');
}


//***********************************************************
//* BUILD HTML IMAGE ELEMENTS *******************************
//***********************************************************
echo'
			<div class="imageElement">
				<h3><span style="font-size:15px;" >'.$time.'</span></h3>
				<p><span style="font-size:10px;" >'.$day.'</span></p>
				<a href="'.$relroot.'/'.$file.'" title="open image" class="open"></a> 
				<img src="'.$relroot.'/thumbnail/'.$file.'" class="thumbnail" />
				<img src="'.$relroot.'/'.$file.'" class="full" />
			</div>
';
		if ($curimage < 1) { $motionBegin = $time; }
		


		//*************************************************************
		//* BUILD HOURLY IMAGE TIC's  *********************************
		//*************************************************************
		switch($hourTic)
		{
		
			case '12AM';
			   $TWEam .= '<a href="javascript:myGallery.goTo('.$curimage.'); myGallery.clearTimer();" ><img border="0" src="css/img/tic.gif" title="'.$time.'" ></a>';
			break;
		
			case '1AM';
			   $ONEam .= '<a href="javascript:myGallery.goTo('.$curimage.'); myGallery.clearTimer();" ><img border="0" src="css/img/tic.gif" title="'.$time.'" ></a>';
			break;
		
			case '2AM';
			   $TWOam .= '<a href="javascript:myGallery.goTo('.$curimage.'); myGallery.clearTimer();" ><img border="0" src="css/img/tic.gif" title="'.$time.'" ></a>';
			break;
		
			case '3AM';
			   $THRam .= '<a href="javascript:myGallery.goTo('.$curimage.'); myGallery.clearTimer();" ><img border="0" src="css/img/tic.gif" title="'.$time.'" ></a>';
			break;
		
			case '4AM';
			   $FOUam .= '<a href="javascript:myGallery.goTo('.$curimage.'); myGallery.clearTimer();" ><img border="0" src="css/img/tic.gif" title="'.$time.'" ></a>';
			break;
		
			case '5AM';
			   $FIVam .= '<a href="javascript:myGallery.goTo('.$curimage.'); myGallery.clearTimer();" ><img border="0" src="css/img/tic.gif" title="'.$time.'" ></a>';
			break;
		
			case '6AM';
			   $SIXam .= '<a href="javascript:myGallery.goTo('.$curimage.'); myGallery.clearTimer();" ><img border="0" src="css/img/tic.gif" title="'.$time.'" ></a>';
			break;
		
			case '7AM';
			   $SEVam .= '<a href="javascript:myGallery.goTo('.$curimage.'); myGallery.clearTimer();" ><img border="0" src="css/img/tic.gif" title="'.$time.'" ></a>';
			break;
		
			case '8AM';
			   $EIGam .= '<a href="javascript:myGallery.goTo('.$curimage.'); myGallery.clearTimer();" ><img border="0" src="css/img/tic.gif" title="'.$time.'" ></a>';
			break;
		
			case '9AM';
			   $NINam .= '<a href="javascript:myGallery.goTo('.$curimage.'); myGallery.clearTimer();" ><img border="0" src="css/img/tic.gif" title="'.$time.'" ></a>';
			break;
		
			case '10AM';
			   $TENam .= '<a href="javascript:myGallery.goTo('.$curimage.'); myGallery.clearTimer();" ><img border="0" src="css/img/tic.gif" title="'.$time.'" ></a>';
			break;
		
			case '11AM';
			   $ELEam .= '<a href="javascript:myGallery.goTo('.$curimage.'); myGallery.clearTimer();" ><img border="0" src="css/img/tic.gif" title="'.$time.'" ></a>';
			break;
		
		
		
			case '12PM';
			   $TWEpm .= '<a href="javascript:myGallery.goTo('.$curimage.'); myGallery.clearTimer();" ><img border="0" src="css/img/tic.gif" title="'.$time.'" ></a>';
			break;
		
			case '1PM';
			   $ONEpm .= '<a href="javascript:myGallery.goTo('.$curimage.'); myGallery.clearTimer();" ><img border="0" src="css/img/tic.gif" title="'.$time.'" ></a>';
			break;
		
			case '2PM';
			   $TWOpm .= '<a href="javascript:myGallery.goTo('.$curimage.'); myGallery.clearTimer();" ><img border="0" src="css/img/tic.gif" title="'.$time.'" ></a>';
			break;
		
			case '3PM';
			   $THRpm .= '<a href="javascript:myGallery.goTo('.$curimage.'); myGallery.clearTimer();" ><img border="0" src="css/img/tic.gif" title="'.$time.'" ></a>';
			break;
		
			case '4PM';
			   $FOUpm .= '<a href="javascript:myGallery.goTo('.$curimage.'); myGallery.clearTimer();" ><img border="0" src="css/img/tic.gif" title="'.$time.'" ></a>';
			break;
		
			case '5PM';
			   $FIVpm .= '<a href="javascript:myGallery.goTo('.$curimage.'); myGallery.clearTimer();" ><img border="0" src="css/img/tic.gif" title="'.$time.'" ></a>';
			break;
		
			case '6PM';
			   $SIXpm .= '<a href="javascript:myGallery.goTo('.$curimage.'); myGallery.clearTimer();" ><img border="0" src="css/img/tic.gif" title="'.$time.'" ></a>';
			break;
		
			case '7PM';
			   $SEVpm .= '<a href="javascript:myGallery.goTo('.$curimage.'); myGallery.clearTimer();" ><img border="0" src="css/img/tic.gif" title="'.$time.'" ></a>';
			break;
		
			case '8PM';
			   $EIGpm .= '<a href="javascript:myGallery.goTo('.$curimage.'); myGallery.clearTimer();" ><img border="0" src="css/img/tic.gif" title="'.$time.'" ></a>';
			break;
		
			case '9PM';
			   $NINpm .= '<a href="javascript:myGallery.goTo('.$curimage.'); myGallery.clearTimer();" ><img border="0" src="css/img/tic.gif" title="'.$time.'" ></a>';
			break;
		
			case '10PM';
			   $TENpm .= '<a href="javascript:myGallery.goTo('.$curimage.'); myGallery.clearTimer();" ><img border="0" src="css/img/tic.gif" title="'.$time.'" ></a>';
			break;
		
			case '11PM';
			   $ELEpm .= '<a href="javascript:myGallery.goTo('.$curimage.'); myGallery.clearTimer();" ><img border="0" src="css/img/tic.gif" title="'.$time.'" ></a>';
			break;
		
		
		    default;
		        //echo 'DEBUG- no time found for '.$hourTic;
		    break;
		}  //end case

		$curimage++;  //increment the image count

	       } //end if today
           } //if pattern
       } //end while

       closedir($handle);
   }
	
$motionEnd = $time;
return $curimage-1;


}//end funtion




?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
	<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<title><?php echo $camName; ?></title>
		<link rel="stylesheet" href="css/layout.css" type="text/css" media="screen" charset="utf-8" />
		<link rel="stylesheet" href="css/jd.gallery.css" type="text/css" media="screen" charset="utf-8" />
		<link rel="stylesheet" href="css/ReMooz.css" type="text/css" media="screen" charset="utf-8" />

<!-- MooTools @ http://mootools.net  -->
		<script type="text/javascript" src="scripts/mootools-1.2.4-core-yc.js"></script>  
		<script type="text/javascript" src="scripts/mootools-1.2.4.4-more.js"></script>
		<script src="scripts/mootools-1.2-more.js" type="text/javascript"></script> 
<!-- SmoothGallery @  http://english.jondesign.net  -->
		<script src="scripts/ReMooz.js" type="text/javascript"></script> 
		<script src="scripts/jd.gallery.js" type="text/javascript"></script>
		<script type="text/javascript" src="scripts/accordian.js"></script>  
 <!--Tigra Calendar @ http://www.softcomplex.com/products/tigra_calendar/ -->
		<script language="JavaScript" src="scripts/calendar_us.js"></script>
		<link rel="stylesheet" href="css/calendar.css">

<!-- Accordian & in-page styling -->
		<style type="text/css">
		.toggler {
			background-color: #000000;
			padding: 5px;
			position:relative; 
		    left: 20px;    
			margin-top: 5px;
			color: #999;
			font-family: arial;
		 	font-size: 12px; } 
		
		.active { 	background-color: #333333; }
		
		.cam  {font-size: x-small;
			color : #999;
			font-family: arial;
		 	font-size: 12px; 
			text-align : center;
		
		}
		
		a.cam
		{
		color: #999;
		text-decoration: none;
		}
		
		a.cam:hover
		{
		color: #fff;
		text-decoration: none;
		} 
			
		table.debug td {font-size: 11px; font-family: arial; color : #999; }

		</style>

	</head>
<body>



<dl>
    <dt class="toggler">&nbsp;&nbsp;<img src="css/img/cam.gif">&nbsp;&nbsp;Cameras 
	</dt>
    <dd class="element">


<?php
# where are the config files?
if (isset($_ENV['ACTIVECAMS'])) {
	$camlist = explode(",",$_ENV['ACTIVECAMS']);
	$camnames = explode(",",$_ENV['CAMNAMES']);

listcams($camlist,$camnames);


} else {
	echo " no cams active \n";
}


function listcams($camlist, $camnames) {
Global $pictureDate;
$totalCams = sizeof($camlist);
$nameString = null; $imgString = null;

	for ($x = 0; $x < $totalCams; $x++) {
	if ($x == $totalCams-1) {  break; }
		//echo '<tr>';
		$nameString .= '<td class="cam"><a class="cam" href="?cam=' . trim($camlist[$x]) . '&dateSelect='.$pictureDate.'">' . $camnames[$x] . '</a> | </td> ';
		$imgString .= '<td clas="cam"><a href="?cam=' . trim($camlist[$x]) . '&dateSelect='.$pictureDate.'"><img src=current' . trim($x) . '.jpg title="' . $camnames[$x]  . '" width="80" height="60" border="0" ></a></td>';
		//echo '</tr>';

	}

echo "<table border=0 cellpadding='1' class='cam'><tr>$nameString</tr>";
echo "<tr>$imgString</tr></table>";

}




?>


	</dd>
</dl>


<!-- Camera & Day -->
<center>
 <table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#FFFFFF" width="90%" id="AutoNumber1">
    <tr>
		<td valign="top">
			<span style="font-size:17px; color:#999;" ><?php echo $pictureDay; ?></span>
		</td>
		<td align="right" valign="top">
			<span style="font-size: 13px; height: 20px; color:#999;" ><?php  echo $camName; ?>&nbsp;</span>
			<!-- <img src="css/img/abelcam.gif">  -->
		</td>
	</tr>
</table>
</center>

<!-- Build Picture Elements to be used by SmootGallery -->
	<div class="content">
		<div id="myGallery">
<?php		$latestImage = buildGallery($pictureDate); ?>
		</div>
	</div>
	


<!-- ********************** TIC TABLE & SLIDESHOW CONTROLS ******************************************* -->
<div align="center">
  <center>
  <table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#FFFFFF" width="90%" id="AutoNumber1">
    <tr>
		<td width="25%" align="left" valign="middle" style="font-size:10px; font-color:#ccc;">
		<a href="javascript:myGallery.goTo(0); myGallery.clearTimer();"><img border="0" src="css/img/rewind.gif" title="<?php echo $motionBegin; ?>" ></a>&nbsp;
		</td>
      
		<td width="25%" align="right" valign="top">
		<a href="javascript:myGallery.clearTimer();"> <img border="0" src="css/img/pause.gif" title="Pause Slideshow"></a>&nbsp;
		<a href="javascript:myGallery.prepareTimer();"><img border="0" src="css/img/play.gif" title="Resume Slideshow"></a>&nbsp;&nbsp;
		</td>

		<td width="25%" align="left" valign="top">
				<form name="dateChange" action="index.php" method="GET">
					<input type="hidden" name="dateSelect" size="8" value="<?php echo $pictureDate; ?>" />
					<input type="hidden" name="camera" size="8" value="<?php echo $_ENV['CAMNR']; ?>" />
					<script language="JavaScript">
					new tcal ({
				 		// form name
						'formname': 'dateChange',
						// input name
						'controlname': 'dateSelect'
					});
					</script>
				</form>
		</td>

		<td width="25%" align="right" valign="middle" style="font-size:10px; font-color:#ccc;">&nbsp;
		<a href="javascript:myGallery.goTo(<?php echo $latestImage; ?>); myGallery.clearTimer();"><img border="0" src="css/img/forward.gif"  title="<?php echo $motionEnd; ?>"></a>
		</td>
    </tr>

<?php if (!$picturesAvail) { echo '<tr><td width="100%" colspan="4" align="center" style="font-size:18px; color:#ccc;" >No images available for, '.$pictureDay.'</td></tr>';}?>

    <tr>
      <td width="100%" colspan="4">
      <table border="0" cellpadding="0" cellspacing="2" style="border-collapse: collapse" bordercolor="#111111" width="100%" id="AutoNumber2" height="5" >
        <tr>
          <td width="4%" align="center" valign="bottom">
		  <?php echo $ONEam ?>
		  </td>
          <td width="4%" align="center" valign="bottom">
		  <?php echo $TWOam ?>
		  </td>
          <td width="4%" align="center" valign="bottom">
		  <?php echo $THRam ?>
		  </td>
          <td width="4%" align="center" valign="bottom">
		  <?php echo $FOUam ?>
		  </td>
          <td width="4%" align="center" valign="bottom">
		  <?php echo $FIVam ?>
		  </td>
          <td width="4%" align="center" valign="bottom">
		  <?php echo $SIXam ?>
		  </td>
          <td width="4%" align="center" valign="bottom">
		  <?php echo $SEVam ?>
		  </td>
          <td width="4%" align="center" valign="bottom">
		  <?php echo $EIGam ?>
		  </td>
          <td width="4%" align="center" valign="bottom">
		  <?php echo $NINam ?>
		  </td>
          <td width="4%" align="center" valign="bottom">
		  <?php echo $TENam ?>
		  </td>
          <td width="4%" align="center" valign="bottom">
		  <?php echo $ELEam ?>
		  </td>
          <td width="4%" align="center" valign="bottom">
		  <?php echo $TWEpm ?>
		  </td>
          <td width="4%" align="center" valign="bottom">
		  <?php echo $ONEpm ?>
		  </td>
          <td width="4%" align="center" valign="bottom">
		  <?php echo $TWOpm ?>
		  </td>
          <td width="4%" align="center" valign="bottom">
		  <?php echo $THRpm ?>
		  </td>
          <td width="4%" align="center" valign="bottom">
		  <?php echo $FOUpm ?>
		  </td>
          <td width="4%" align="center" valign="bottom">
		  <?php echo $FIVpm ?>
		  </td>
          <td width="4%" align="center" valign="bottom">
		  <?php echo $SIXpm ?>
		  </td>
          <td width="4%" align="center" valign="bottom">
		  <?php echo $SEVpm ?>
		  </td>
          <td width="4%" align="center" valign="bottom">
		  <?php echo $EIGpm ?>
		  </td>
          <td width="5%" align="center" valign="bottom">
		  <?php echo $NINpm ?>
		  </td>
          <td width="5%" align="center" valign="bottom">
		  <?php echo $TENpm ?>
		  </td>
          <td width="5%" align="center" valign="bottom">
		  <?php echo $ELEpm ?>
		  </td>
          <td width="5%" align="center" valign="bottom">
		  <?php echo $TWEam ?>
		  </td>
        </tr>
        <tr>
          <td width="4%" align="center"><font size="1" color="#FFFFFF" face="Arial">1</font></td>
          <td width="4%" align="center"><font size="1" color="#FFFFFF" face="Arial">2</font></td>
          <td width="4%" align="center"><font size="1" color="#FFFFFF" face="Arial">3</font></td>
          <td width="4%" align="center"><font size="1" color="#FFFFFF" face="Arial">4</font></td>
          <td width="4%" align="center"><font size="1" color="#FFFFFF" face="Arial">5</font></td>
          <td width="4%" align="center"><font size="1" color="#FFFFFF" face="Arial">6</font></td>
          <td width="4%" align="center"><font size="1" color="#FFFFFF" face="Arial">7</font></td>
          <td width="4%" align="center"><font size="1" color="#FFFFFF" face="Arial">8</font></td>
          <td width="4%" align="center"><font size="1" color="#FFFFFF" face="Arial">9</font></td>
          <td width="4%" align="center"><font size="1" color="#FFFFFF" face="Arial">10</font></td>
          <td width="4%" align="center"><font size="1" color="#FFFFFF" face="Arial">11</font></td>
          <td width="4%" align="center"><font size="1" color="#FFFFFF" face="Arial">12</font></td>
          <td width="4%" align="center"><font size="1" color="#FFFFFF" face="Arial">1</font></td>
          <td width="4%" align="center"><font size="1" color="#FFFFFF" face="Arial">2</font></td>
          <td width="4%" align="center"><font size="1" color="#FFFFFF" face="Arial">3</font></td>
          <td width="4%" align="center"><font size="1" color="#FFFFFF" face="Arial">4</font></td>
          <td width="4%" align="center"><font size="1" color="#FFFFFF" face="Arial">5</font></td>
          <td width="4%" align="center"><font size="1" color="#FFFFFF" face="Arial">6</font></td>
          <td width="4%" align="center"><font size="1" color="#FFFFFF" face="Arial">7</font></td>
          <td width="4%" align="center"><font size="1" color="#FFFFFF" face="Arial">8</font></td>
          <td width="5%" align="center"><font size="1" color="#FFFFFF" face="Arial">9</font></td>
          <td width="5%" align="center"><font size="1" color="#FFFFFF" face="Arial">10</font></td>
          <td width="5%" align="center"><font size="1" color="#FFFFFF" face="Arial">11</font></td>
          <td width="5%" align="center"><font size="1" color="#FFFFFF" face="Arial">12</font></td>
        </tr>
        <tr>
          <td width="4%" align="center" valign="top"><font color="#FFFFFF" face="Arial" size="1">am</font></td>
          <td width="4%" align="center"></td>
          <td width="4%" align="center"></td>
          <td width="4%" align="center"></td>
          <td width="4%" align="center"></td>
          <td width="4%" align="center"></td>
          <td width="4%" align="center"></td>
          <td width="4%" align="center"></td>
          <td width="4%" align="center"></td>
          <td width="4%" align="center"></td>
          <td width="4%" align="center"></td>
          <td width="4%" align="center" valign="top"><font color="#FFFFFF" face="Arial" size="1">pm</font></td>
          <td width="4%" align="center"></td>
          <td width="4%" align="center"></td>
          <td width="4%" align="center"></td>
          <td width="4%" align="center"></td>
          <td width="4%" align="center"></td>
          <td width="4%" align="center"></td>
          <td width="4%" align="center"></td>
          <td width="4%" align="center"></td>
          <td width="5%" align="center"></td>
          <td width="5%" align="center"></td>
          <td width="5%" align="center"></td>
          <td width="5%" align="center" valign="top"><font color="#FFFFFF" face="Arial" size="1">am</font></td>
        </tr>
      </table>
      </td>
    </tr>
  </table>  
  </center>
</div>




<!-- ************************  END TIC TABLE & SLIDESHOW CONTROLS **************************************** -->




<!-- INITIALIZE JSMOOTH GALLERY -->
<script type="text/javascript">
var myGallery;

function startGallery() { myGallery = new gallery($('myGallery'), {
	useReMooz: true,
	embedLinks: false,
	carouselMaximizedOpacity: 1, 
	thumbIdleOpacity: .7,
	thumbCloseCarousel: false,
	timed: true,
	delay: 4000,
	useThumbGenerator: false,
	thumbHeight: <?php echo $thumbH-11;?>,
	thumbWidth: <?php echo $thumbW-11;?>,
	thumbSpacing: 5

	  });
	}
window.addEvent('domready',startGallery);
</script>		






<?php 
//$showDebug = False;
$showDebug = True;

if ($showDebug) {  

echo '
<dl>
    <dt class="toggler">Camera    
    </dt>
    <dd class="element">
      <p>';      

showcam();

echo '      </p>
   </dd>
   <dt class="toggler">System   
    </dt>
    <dd class="element">
      <p>';      

showsystem();

echo '
      </p>
   </dd>
</dl>';
  }  ?>




</body>

</html>
